# ChangeLog

- 2012-03-13 geby
- [r149] imapsend.pas Fix ImapSend crash. https://sourceforge.net/tracker/?func=detail&aid=3487916&group_id=125224&atid=701386
- [r148] ssl_openssl.pas Fix SNI on unicode Delphi: https://sourceforge.net/tracker/?func=detail&atid=701386&aid=3464355&group_id=125224
- [r147] blcksock.pas, ftpsend.pas, mimemess.pas, mimepart.pas, smtpsend.pas, ssl_cryptlib.pas, ssl_openssl.pas, ssl_openssl_lib.pas, synacode.pas, synamisc.pas, synautil.pas Bugfixes in OpenSSL, enhanced OpenSSL support, enhanced binary MIME (all by Petr Fejfar)
- 2011-05-31 geby
- [r146] ftpsend.pas ftpsend - support for large streams
- [r145] snmpsend.pas snmpsend.pas - small fix of V3 synchronization
- 2011-05-18 geby
- [r144] sswin32.inc Delphi Pulsar fixes for WIN64 target.
- [r143] ssdotnet.inc, ssdotnet.pas, ssfpc.inc, ssfpc.pas, sslinux.inc, sslinux.pas, sswin32.inc, sswin32.pas, synsock.pas SynSock modules are renamed from PAS extension to INC. Newer Delphi editors have a problem with editing non-unit pas files. INC working fine.
- 2011-05-05 geby
- [r142] snmpsend.pas, synacrypt.pas, synautil.pas snmpsend.pas - added Privacy encryption support. Supported are DES, 3DES and AES.
- 2011-04-28 geby
- [r141] synacrypt.pas synacrypt.pas - Added TSynaAes as implementation of AES encryption.
- [r140] synacrypt.pas TSynaBlockCipher knows any block size now. (was hardwired 64-bit block)
- 2011-04-13 geby
- [r139] blcksock.pas, httpsend.pas, ssl_cryptlib.pas, ssl_openssl.pas, ssl_openssl_lib.pas - new support for TLS SNI in OpenSSL.
  - improved certificate verification
  - improved Cryptlib support
- [r138] synadbg.pas, synafpc.pas, synaser.pas Improved 64bit compatibility.
- 2011-02-03 geby
- [r137] nntpsend.pas nntpsend - fixed cleared error result after failed login. (Amos)
- [r136] synaser.pas synaser - fixed typo error
- 2011-01-20 geby
- [r135] blcksock.pas core: fixed compile errors when directive ONCEWINSOCK is not used
- [r134] httpsend.pas HTTP: fix - added URL decoding for credentials from the URL.
- 2011-01-19 geby
- [r133] ssl_openssl_lib.pas OpenSSL: fixed correct library naming for MacOSX (Yury Sidorov)
- [r132] ssfpc.pas Freepascal: use Hosts file for name resolution on Unix. (Yury Sidorov)
- [r131] httpsend.pas HTTP: another D2009+ fix
- [r130] ftpsend.pas FTP: EPSV and EPRT commands are used for IPv6 only.
- 2010-07-02 geby
- [r129] laz_synapse.lpk, laz_synapse.pas, ssfpc.pas, ssl_openssl_lib.pas, synamisc.pas, synaser.pas - improved MACOS compatibility
  - workaround for some broken virtual serial ports
  - Added Lazarus package
- 2010-05-03 geby
- [r128] httpsend.pas, synamisc.pas some typo errors
- 2010-04-15 geby
- [r127] blcksock.pas Fixed byte order of stream size in TBlockSocket.InternalSendStream.
- [r126] httpsend.pas Next D2009 fixes in THTTPSend by SergeyL.
- 2010-02-19 geby
- [r125] ssfpc.pas Fixed SetVarSin for IPv6 on the FreePascal.
- 2010-02-05 geby
- [r124] ldapsend.pas new method Get of TLDAPAttributeList
- 2010-02-03 geby
- [r123] asn1util.pas, blcksock.pas, clamsend.pas, dnssend.pas, ftpsend.pas, ftptsend.pas, httpsend.pas, imapsend.pas, ldapsend.pas, mimeinln.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, smtpsend.pas, snmpsend.pas, sntpsend.pas, ssl_openssl.pas, synacode.pas, synacrypt.pas, synadbg.pas, synachar.pas, synaip.pas, synamisc.pas, synaser.pas, synautil.pas, tlntsend.pas Large set of D2009 compatibility fixes. (mostly cosmetics only, like suppress unwanted warnings, etc.)
- [r122] sswin32.pas sswin32.pas - improved D2009 compatibility
- 2010-01-28 geby
- [r121] synaser.pas synaser.pas - handling of FHandle is capable to use 64-bit based handlers.
- [r120] synaser.pas synaser.pas - fixed D2009+ compatibility
- 2010-01-27 geby
- [r119] synaser.pas synaser.pas - fixed compiler defines for WIN64 support
- 2010-01-24 geby
- [r118] blcksock.pas Published TBlockSocket.FDset for debugging purposes.
- [r117] pingsend.pas pingsend.pas - WIN64 data align fixes.
- [r116] sswin32.pas WIN64 data align fixes.
- 2010-01-22 geby
- [r115] sswin32.pas Fixed TSocket size on WIN64.
- [r114] ssl_openssl.pas Fixed TSSLOpenSSL.RecvBuffer condition on connection close.
- [r113] sswin32.pas Fixed port assign by SetVarSin on old Winsock API.
- [r112] blcksock.pas, httpsend.pas, pingsend.pas, ssl_openssl_lib.pas, sswin32.pas, synafpc.pas, synaicnv.pas, synautil.pas, synsock.pas Modified compiler defines for windows (For better compatibility with non-WIN32 systems.)
- [r111] ssl_openssl_lib.pas Added SSL_CTX_ctrl into OpenSSL plugin.
- 2010-01-06 geby
- [r110] blcksock.pas Added support for PGM protocol (message and stream mode).
- [r109] ssfpc.pas, sslinux.pas, sswin32.pas Synsock - added IPPROTO_RM value.
- 2010-01-04 geby
- [r108] blcksock.pas, clamsend.pas, dnssend.pas, ftpsend.pas, ftptsend.pas, httpsend.pas, imapsend.pas, ldapsend.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, sntpsend.pas, tlntsend.pas New TBlockSocket.Owner property. You know what protocol class own this socket now.
- [r107] ssl_openssl_lib.pas Fixed D2009 compatibility in ssl_openssl_lib.pas
- 2009-10-26 geby
- [r106] smtpsend.pas added TSMTPSend AUTH PLAIN support
- 2009-10-25 geby
- [r105] smtpsend.pas Liberalized return code handling.
- 2009-10-15 geby
- [r104] ldapsend.pas TLdapSend.BindSasl fix
- 2009-09-30 geby
- [r102] ssfpc.pas Next fixes for FPC...
- 2009-09-29 geby
- [r101] ssfpc.pas Fixed fpBind call.
- [r100] ssfpc.pas Improved compatibility with FPC 2.x.x
- [r99] ldapsend.pas D2009 compatibility fix
- 2009-06-08 geby
- [r98] blcksock.pas Enabled socket options for send and receive timeout at Linux platform.
- 2009-06-05 geby
- [r97] synaip.pas Added ExpandIP6 and fixed StrToIp6.
- 2009-04-03 geby
- [r96] clamsend.pas Updated ClamD support for compatibility with ClamAV 0.95. (new set of scan functions for new API - old functions are broken in this ClamAV version!
- 2008-10-02 geby
- [r95] blcksock.pas, httpsend.pas, ssl_openssl.pas, ssl_openssl_lib.pas, sswin32.pas, synadbg.pas, synaicnv.pas, synaip.pas, synamisc.pas, synaser.pas, synautil.pas, tlntsend.pas Changes for Delphi 2009 compatibility.
- 2008-06-11 geby
- [r94] ftpsend.pas Using TStream.Position instead of TStream.Seek. Better compatibility with large streams.
- [r93] blcksock.pas TBlockSocket.SendStreamRaw is capable to work with large streams (>2GB)
- 2008-04-29 geby
- [r92] synamisc.pas Added GetLocalIPs helper function, fixed GetDNS function for DNS assigned by DHCP.
- [r91] httpsend.pas, mimepart.pas, synautil.pas THTTPSend can handle folded headers in HTTP reply
- [r90] synadbg.pas Added synadbg.pas unit.
- 2008-04-26 geby
- [r89] httpsend.pas Better handling of KeepAlives.
- [r88] httpsend.pas fixed endless loop when unexpected 100 response is readed in THTTPSend
- 2008-04-25 geby
- [r87] mimepart.pas Changed defaults for MIME part. (8-bit encoding as default and current system charset as default encoding.)
- [r86] mimepart.pas filename in 'content-disposition' header have higher priority then filename in 'mime-type' header
- [r85] ldapsend.pas Added TLDAPAttributeList.Find
- [r84] synaser.pas Added synaser.pas
- 2008-04-24 geby
- [r82] blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, imapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, smtpsend.pas, snmpsend.pas, sntpsend.pas, ssfpc.pas, ssl_sbb.pas, ssl_streamsec.pas, sslinux.pas, sswin32.pas, synacode.pas, synacrypt.pas, synafpc.pas, synachar.pas, synaicnv.pas, synaip.pas, synautil.pas, tlntsend.pas Release 38
- [r80] blcksock.pas, clamsend.pas, dnssend.pas, ftpsend.pas, httpsend.pas, ldapsend.pas, mimepart.pas, pingsend.pas, pop3send.pas, snmpsend.pas, ssdotnet.pas, ssfpc.pas, ssl_cryptlib.pas, ssl_openssl.pas, ssl_openssl_lib.pas, ssl_sbb.pas, sslinux.pas, sswin32.pas, synafpc.pas, synachar.pas, synaicnv.pas, synaip.pas, synamisc.pas, synautil.pas, synsock.pas, winver.pp Release 37
- [r78] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, imapsend.pas, ldapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, sntpsend.pas, ssl_cryptlib.pas, ssl_openssl.pas, ssl_openssl_lib.pas, ssl_streamsec.pas, sslinux.pas, synacode.pas, synachar.pas, synaicnv.pas, synassl.pas, synautil.pas, tlntsend.pas Release 36
- [r76] blcksock.pas, ftpsend.pas, httpsend.pas, ldapsend.pas, mimepart.pas, nntpsend.pas, sslinux.pas, synacode.pas, synachar.pas, synaicnv.pas, synautil.pas, winver.pp Release 35
- [r74] blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, synacode.pas, synassl.pas Release 34
- [r72] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, ftptsend.pas, httpsend.pas, imapsend.pas, ldapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, ssdotnet.pas, sslinux.pas, sswin32.pas, synacode.pas, synafpc.pas, synachar.pas, synaicnv.pas, synamisc.pas, synassl.pas, synautil.pas, synsock.pas, tlntsend.pas Release 33
- [r70] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, ftptsend.pas, httpsend.pas, imapsend.pas, ldapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synafpc.pas, synachar.pas, synamisc.pas, synassl.pas, synautil.pas, synsock.pas, tlntsend.pas Release 32
- [r68] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, imapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synachar.pas, synamisc.pas, synassl.pas, synautil.pas, synsock.pas, tlntsend.pas Release 31
- [r66] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, imapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synachar.pas, synamisc.pas, synassl.pas, synautil.pas, synsock.pas, tlntsend.pas Release 30
- [r64] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, imapsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, nntpsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synachar.pas, synassl.pas, synautil.pas, synsock.pas Release 29
- [r62] synassl.pas, synassl.pas.x Release 28
- [r61] blcksock.pas, ftpsend.pas, httpsend.pas, imapsend.pas, mimemess.pas, mimepart.pas, pop3send.pas, smtpsend.pas, synacode.pas, SynaSSL.pas, synassl.pas.x, synautil.pas
- [r60] imapsend.pas, imapsend.pas.x, nntpsend.pas, nntpsend.pas.x
- [r59] IMAPsend.pas, imapsend.pas.x, NNTPsend.pas, nntpsend.pas.x
- [r57] blcksock.pas, ftpsend.pas, httpsend.pas, mimemess.pas, mimepart.pas, smtpsend.pas, synacode.pas, SynaSSL.pas, synautil.pas Release 27
- [r55] asn1util.pas, blcksock.pas, IMAPsend.pas, mimeinln.pas, mimemess.pas, mimepart.pas, NNTPsend.pas, pingsend.pas, pop3send.pas, slogsend.pas, snmpsend.pas, sntpsend.pas, synacode.pas, synachar.pas, synautil.pas Release 26
- [r53] asn1util.pas, blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, mimepart.pas, pingsend.pas, slogsend.pas, snmpsend.pas, snmptrap.pas, synachar.pas, synautil.pas Release 25
- [r51] blcksock.pas, dnssend.pas, ftpsend.pas, httpsend.pas, mimemess.pas, mimepart.pas, pingsend.pas, pop3send.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synahook.pas, synachar.pas, synautil.pas, synsock.pas Release 24
- [r49] asn1util.pas, blcksck2.pas, blcksock.pas, dnssend.pas, httpsend.pas, mimechar.pas, mimeinln.pas, mimemess.pas, mimepart.pas, pingsend.pas, pop3send.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synahook.pas, synachar.pas, synautil.pas, synsock.pas Release 23
- [r47] asn1util.pas, dnssend.pas, httpsend.pas, mimechar.pas, mimemess.pas, pingsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synautil.pas, synsock.pas Release 22
- [r45] blcksck2.pas, blcksock.pas, dnssend.pas, httpsend.pas, mimechar.pas, mimeinln.pas, mimemess.pas, mimepart.pas, pingsend.pas, pop3send.pas, smtpsend.pas, sntpsend.pas, synautil.pas, synsock.pas Release 21
- [r43] pop3send.pas, smtpsend.pas, synacode.pas Release 20
- [r41] blcksock.pas, mimemess.pas, mimepart.pas, pop3send.pas Release 19
- [r39] blcksock.pas, httpsend.pas, smtpsend.pas, synacode.pas, synautil.pas Release 18
- [r37] asn1util.pas, blcksock.pas, snmpsend.pas, snmptrap.pas Release 17
- [r35] httpsend.pas, smtpsend.pas, synacode.pas, synautil.pas Release 16
- [r33] mimechar.pas, mimemess.pas, mimepart.pas, synacode.pas, synautil.pas Release 15
- 2008-04-23 geby
- [r31] asn1util.pas, mimeinln.pas, mimemess.pas, mimepart.pas, synacode.pas, synautil.pas Release 14
- [r29] asn1util.pas, mimechar.pas, mimepart.pas, pingsend.pas, snmpsend.pas, snmptrap.pas, synacode.pas, synautil.pas Release 13
- [r27] asn1util.pas, blcksck2.pas, blcksock.pas, dnssend.pas, httpsend.pas, mimechar.pas, mimemess.pas, mimepart.pas, pingsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synacode.pas, synautil.pas Release 12
- [r25] asn1util.pas, blcksck2.pas, blcksock.pas, dnssend.pas, httpsend.pas, pingsend.pas, smtpsend.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas, synautil.pas Release 11
- [r21] asn1util.pas, snmpsend.pas, snmptrap.pas, sntpsend.pas Release 10
- [r19] smtpsend.pas Release 9
- [r17] blcksock.pas, smtpsend.pas, sntpsend.pas Release 8
- [r15] blcksck2.pas, blcksock.pas, pingsend.pas Release 7
- [r13] asn1util.pas, httpsend.pas, snmpsend.pas, snmptrap.pas, synautil.pas Release 6
- [r11] dnssend.pas, snmpsend.pas Release 5
- [r9] snmpsend.pas, synautil.pas Release 4
- [r7] blcksock.pas, httpsend.pas, smtpsend.pas, synautil.pas Release 3
- [r5] blcksock.pas, smtpsend.pas Release 2
- [r2] blcksock.pas Release 1
- [r1] . Created folder remotely